Bug 11386 - Не работает создание контейнеров
: Не работает создание контейнеров
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/alterator-ovz)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2007-04-06 13:42 by
Modified: 2007-04-21 04:37 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2007-04-06 13:42:31
Сделал template по caching-nameserver с именем ns
Пытаюсь сделать "Новый виртуальный сервер " с именем nameserver

При нажатии кнопки OK ничего не происходит.

В логах configd.log:
grep: /etc/spt/profiles/ovz/ns/config: No such file or directory
grep: /etc/spt/profiles/ovz/ns/config: No such file or directory
Unable to open /dev/vzctl: No such device or address
Please check that vzdev kernel module is loaded and you have sufficient
permissions to access the file.
Unable to open /dev/vzctl: No such device or address
Please check that vzdev kernel module is loaded and you have sufficient
permissions to access the file.
Unable to open /dev/vzctl: No such device or address
Please check that vzdev kernel module is loaded and you have sufficient
permissions to access the file.
Unable to open /dev/vzctl: No such device or address
Please check that vzdev kernel module is loaded and you have sufficient
permissions to access the file.
Unable to open /proc/vz/veinfo

#uname -a
Linux salto.malta.altlinux.ru 2.6.18-ovz-smp-alt12 #1 SMP Sun Mar 18 00:41:20
MSK 2007 i686 GNU/Linux
# l /dev/vzctl 
crw------- 1 root root 126, 0 Apr  4 18:28 /dev/vzctl
# l /proc/vz/
total 0
dr-xr-xr-x   2 root root 0 Apr  6 16:43 ./
dr-xr-xr-x 106 root proc 0 Apr  4 18:16 ../
------- Comment #1 From 2007-04-06 13:51:57 -------
Сервис vz был не запущен.

Нужно: 
- либо запускать его автоматически
- либо выводить сообщение о том, что соответствующий сервис не был запущен

Но это всё равно блокер, коли вылезло ;(

Ибо через alterator-ovz выполнить какую-то диагностику этого безобразия невозможно.
------- Comment #2 From 2007-04-06 13:52:59 -------
Для воспроизведения достаточно сказать service vz stop и попробовать сделать
контейнер из alterator-ovz
------- Comment #3 From 2007-04-06 23:49:40 -------
Ошибку надо вешать на vzctl, или на программу установки, которая не заботится о
расстановке сервисов на запуск.
------- Comment #4 From 2007-04-07 00:26:08 -------
Бог бы с ним, с запуском.

Добавь просто вывод диагностики - почему не удалось создать контейнер. а то
просто подземный стук - давишь, а оно проглатывает молча.

По поводу запуска сервиса - пакет был установлен apt-get'ом я не знаю кто должен
был запустить service vz. ldv кивает на тебя - в хуках можно было бы стартануть
если не запущен.

Или при первом обращении к созданию контейнеров.
------- Comment #5 From 2007-04-07 03:32:59 -------
При установке системы инсталлером сервис vz оказывается включенным.
В пакете он выключен.

Думаю что запустить перед созданием контейнера "service vz status"
с проверкой кода возврата было бы вполне логичным выходом.
------- Comment #6 From 2007-04-07 15:02:16 -------
(In reply to comment #5)
> При установке системы инсталлером сервис vz оказывается включенным.
> В пакете он выключен.
исходя из этого, я не вижу смысла задирать Severity.

> 
> Думаю что запустить перед созданием контейнера "service vz status"
> с проверкой кода возврата было бы вполне логичным выходом.
ok, постраюсь сегодня сделать проверку.
------- Comment #7 From 2007-04-14 00:25:54 -------
Сделал проверку ?
------- Comment #8 From 2007-04-20 14:16:52 -------
Вчера её ещё не было.
Достаточно добавить в самое начало alt_new():

if ! service vz status >/dev/null 2>&1; then
    printf '(error "%s")' "`_ "OpenVZ is not running"`"
    return
fi
------- Comment #9 From 2007-04-21 04:37:31 -------
Fixed in 0.4-alt1